**`Dinesh`[NAME]** -NL- Email:**`dineshdeg7@gmail.com`[EMAILS_EMAIL]** -NL- Mobile:**`91-7893540759`[PHONES_PHONE]** -NL- **`Summary`[SUMMARY_HEADING]** -NL-  I have 5 years of experience as a **`Software Engineer`[EMPLOYER_ROLE]**. -NL-  Having experience on Software development, Deployment and Maintenance -NL- of medium to large scale projects. -NL-  Hands on experience on Spring, Hibernate and Web services. -NL-  Has substantial development experience in Java, J2EE and GUI & Web based -NL- development applications. -NL-  Good experience in working with PostgreSQL Server and My SQL. -NL-  Hands on experience to create ANT scripts and Batch files for deployment -NL- automation at client side. And have knowledge on Angular JS -NL-  Exposure to operating Systems like Windows XP/Vista/7 and Linux. -NL-  Having Experience on PMD tool for Code Review and Analysis. -NL-  Create LLD/DDD Documents based on HLD/BRD Documents and maintain -NL- Status, Clarification, Review, Defect & Issue trackers. -NL-  Knowledge on SAP Hybris. -NL- **`Employment Summary:`[WORK_EXPERIENCE_HEADING]** -NL-  Working as a **`Software Engineer`[EMPLOYER_ROLE]** for **`Northalley India PVT. LTD`[EMPLOYER_COMPANY_NAME]**. Hyderabad -NL- from March 21st 2016 to October 2016. -NL-  Working as a **`Java Developer`[EMPLOYER_ROLE]** for **`Turpy Mobile Apps PVT. LTD`[EMPLOYER_COMPANY_NAME]**. Hyderabad -NL- from March 2nd 2015 to March 18th 2016. -NL-  Working as a **`Software Engineer`[EMPLOYER_ROLE]** for **`Verus solutions PVT. LTD`[EMPLOYER_COMPANY_NAME]**. Hyderabad -NL- from December 5th 2011 to Feb 26th 2015. -NL- **`Academic Profile`[EDUCATION_HEADING]** -NL-  **`Bachelor of Technology`[EDUCATION_DEGREE]** in **`Computer Science and Engineering`[EDUCATION_COURSE]**, from JNTU -NL- Hyderabad from July2007 toMay2011 with61%. -NL- **`Technical Skills`[SKILLS_HEADING]** -NL- Languages : Core Java, J2EE and XML -NL- IDE’S : Net Beans & Eclipse -NL- Databases : PostgreSQL ,MySQL -NL- Web : HTML,Java Script,jQuery, Servlets and Web Services -NL- Technologies -NL- Operating Systems : Windows8 /7 /XP, Linux -NL- Servers : Tomcat, JBoss -NL- Framework : Hibernate, Spring, Struts -NL- Tools : Ant,Maven,SVN,Git,LOG4J -NL- Projects -NL- 1. Title: **`Qwezar`[PROJECT_TITLE]** -NL- **`Northalley India Pvt. Ltd`[PROJECT_COMPANY_NAME]**, Hyderabad -NL- March 2016 to October 2016 -NL- Technologies : Core Java, Spring, JPA, Restful, Maven, Apache Solr Lucene and -NL- Hybris . -NL- Database : MYSQL 5.7.11 -NL- Environment : Eclipse Mars and Windows 10 -NL- Server : Apache Tomcat 8.0.32 -NL- Team size : 3 -NL- Description: -NL- **`Qwezar`[PROJECT_TITLE]** is jewellery Application. it contains all the information about the -NL- jewellery Information. Business to Business (B2B) application that will serve -NL- as the technology-driven platform for merchants, brands and other -NL- businesses to leverage the Internet to connect and engage with each other, -NL- customers and clients. -NL- Responsibilities: -NL-  Developed following modules Registrations of users, Modifications of -NL- users, invitation codes, b2b invitation codes, Tenants, statutory, Bank -NL- details. -NL-  Configure all the data in orm.xml and model classes in -NL- persistence .xml. -NL-  Configure all the Solr cache related data in schema.xml and data- -NL- config.xml. -NL-  Indexing with Apache solr Data Import Handler. -NL-  Attending in weekly meetings with Team Lead, Manager and Domain -NL- Team. -NL-  Implementing REST Based Web service. -NL-  Involved in preparation of unit test cases. -NL-  Fixing the bugs reported by testing team. -NL-  Writing and executing the Unit Test Cases. -NL- 2. Title: **`JTS`[PROJECT_TITLE]** -NL- **`Turpy Mobile Apps Pvt. Ltd`[PROJECT_COMPANY_NAME]**, Hyderabad Mar 2015 to Feb 2016 -NL- Technologies : Core Java, Servlets, Spring, Hibernate, Restful, Maven, JQuery -NL- and JavaScript. -NL- Database : MYSQL 5.3 -NL- Environment : Eclipse Mars and Windows 7 -NL- Server : Apache Tomcat 7.0.35 -NL- Team size : 3 -NL- Description: -NL- **`JTS`[PROJECT_TITLE]** is a platform to facilitate easy listing of inventory of regular as well as -NL- high-end jewellery by multiple merchants, easy accessibility and navigability -NL- options for the customers to browse through and secure transaction methods -NL- to enable trade in this online market. The system will also aid dispatch and -NL- tracking of the product, billing and invoicing as well as a customer complaint -NL- redress mechanism to ensure a great shopping experience.. -NL- Responsibilities: -NL-  Design of Database. -NL-  Developed following modules Jins, Metal Service, Product Service, -NL- Stone Services and Product Mappers and Service Implementation -NL- classes. -NL-  Developing DAO classes which helpful to interact with the Database. -NL-  Written Hibernate pojo classes and configured association mappings in -NL- hibernate mappingfile. -NL-  Producing Rest Based web Services to Mobile Apps. -NL-  Assisting documentation team in compiling content for documentation. -NL-  Fixing the bugs reported by testing team. -NL-  Testing Web service. -NL- 3. Title: **`OPAC`[PROJECT_TITLE]** -NL- **`Verus Solutions Pvt. Ltd`[PROJECT_COMPANY_NAME]**, Hyderabad -NL- Aug 2013 to Feb 2015 -NL- Technologies : Core Java, Servlets, JDOM, Spring, Hibernate, Xml, Maven, -NL- Apache Solr -NL- JQuery ,JavaScript and FTL. -NL- Database : PostgreSQL 9.1 -NL- Environment : Net beans and Ubuntu -NL- Server : Apache Tomcat 7. -NL- Team size : 4 -NL- Clients : IIT-Hyderabad, ROBERT BOSCH, ICRISAT INDIA, DELLOIT -NL- etc. -NL- Description: -NL- An online public access catalog (often abbreviated as opac ) simply is -NL- an online database of materials held by a library or group of libraries. Users -NL- search a library catalog principally to locate books and other material -NL- available at a library. -NL- Responsibilities: -NL-  Developed following modules Reserve items, Cancel reservations, -NL- Renew items on line, Unread Messages and Read Messages, Various -NL- types of searches, free text search, Top stories, List of new arrivals, -NL- special collections in the library. -NL-  Developing DAO classes which helpful to interact with the Database. -NL-  Fixing the bugs reported by testing team. -NL-  Configuring properties for Internationalization (i18n). -NL-  Indexing with Apache solr Data Import Handler. -NL-  Customizing the UI using HTML, JQuery, JavaScript, and FTL’s. -NL-  Creating bibliographic index using java and importing into **`OPAC`[PROJECT_TITLE]**. -NL- Performed code Review and Manual Testing. -NL- 4. Title: **`NewGenLib v3`[PROJECT_TITLE]** -NL- **`Verus Solutions Pvt. Ltd`[PROJECT_COMPANY_NAME]**, Hyderabad -NL- Jan 2012 to Jul 2013 -NL- Technologies : Core java, Swing, Servlets, JSON, JDOM, Spring and ANT script. -NL- Database : PostgreSQL Server 8.4 -NL- Environment : Net Beans (7.1 and 7.2) and Linux (Ubuntu 12.04) -NL- Server : Apache Tomcat 6.0 -NL- Team size : 4 -NL- Clients : CIPET ,Osmania University (OU), Bangalore University -NL- (BU)etc., -NL- Description: -NL- NewGenLib V3 is used for cataloging records, circulation (check out, -NL- check in& renewal of records), managing library budget, assign -NL- privileges for library users etc .We are Using Java Swing Components -NL- for Designing Panels ,Frames and Dialog boxes with layouts …, -NL- Responsibilities: -NL-  Acquisitions, Circulation and Technical processing (important modules -NL- of the New Gen Lib Project). -NL-  Acquisitions contain the Process Approvals Suppliers, gifts and Process -NL- Payments…, -NL-  Developing desktop application using java swing components (JFrames, -NL- JDialoge, JTables, Jpanels…,). -NL-  Data Conversion from MS-Excel, MS-access to Postgres database. -NL-  General Utilities eg : to take back of data base, change the interface -NL- language -NL-  New Gen Lib development and unit testing (Manually). -NL- **`Declaration`[OTHERS_HEADING]** -NL- I hereby declare that all the information furnished above is true to the best of my -NL- knowledge and belief. -NL- Place: -NL- Date: -NL- ( **`Dinesh`[NAME]** ) -NL- 